openSUSE Security Update : MozillaThunderbird (openSUSE-2015-206)

High Nessus Plugin ID 81693

Synopsis

The remote openSUSE host is missing a security update.

Description

MozillaThunderbird was updated to version 31.5.0 to fix four security issues.

These security issues were fixed :

- CVE-2015-0836: Miscellaneous memory safety hazards

- CVE-2015-0831: Use-after-free in IndexedDB

- CVE-2015-0827: Out-of-bounds read and write while rendering SVG content

- CVE-2015-0822: Reading of local files through manipulation of form autocomplete

Solution

Update the affected MozillaThunderbird packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=917597

Plugin Details

Severity: High

ID: 81693

File Name: openSUSE-2015-206.nasl

Version: Revision: 1.6

Type: local

Agent: unix

Published: 2015/03/09

Updated: 2015/03/28

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:MozillaThunderbird, p-cpe:/a:novell:opensuse:MozillaThunderbird-buildsymbols, p-cpe:/a:novell:opensuse:MozillaThunderbird-debuginfo, p-cpe:/a:novell:opensuse:MozillaThunderbird-debugsource, p-cpe:/a:novell:opensuse:MozillaThunderbird-devel, p-cpe:/a:novell:opensuse:MozillaThunderbird-translations-common, p-cpe:/a:novell:opensuse:MozillaThunderbird-translations-other, cpe:/o:novell:opensuse:13.1, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2015/02/26

Reference Information

CVE: CVE-2015-0822, CVE-2015-0827, CVE-2015-0831, CVE-2015-0836